Module tdlight.api
Package it.tdlight.jni

# Class TdApi.UserFullInfo

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.UserFullInfo

Enclosing class:
  TdApi

public static final class TdApi.UserFullInfo extends TdApi.Object
Contains full information about a user.

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`bio`
A short user bio.
`boolean`
`canBeCalled`
True, if the user can be called.
`TdApi.BotCommand[]`
`commands`
For bots, list of the bot commands.
`static final int`
`CONSTRUCTOR`
`String`
`description`
For bots, the text shown in the chat with the bot if the chat is empty.
`int`
`groupInCommonCount`
Number of group chats where both the other user and the current user are a member; 0 for the current user.
`boolean`
`hasPrivateCalls`
True, if the user can't be called due to their privacy settings.
`boolean`
`isBlocked`
True, if the user is blocked by the current user.
`boolean`
`needPhoneNumberPrivacyException`
True, if the current user needs to explicitly allow to share their phone number with the user when the method addContact is used.
`TdApi.ChatPhoto`
`photo`
User profile photo; may be null.
`String`
`shareText`
For bots, the text that is shown on the bot's profile page and is sent together with the link when users share the bot.
`boolean`
`supportsVideoCalls`
True, if a video call can be created with the user.

## Constructor Summary

Constructors
Constructor
Description
`UserFullInfo()`
Contains full information about a user.
`UserFullInfo(TdApi.ChatPhoto photo, boolean isBlocked, boolean canBeCalled, boolean supportsVideoCalls, boolean hasPrivateCalls, boolean needPhoneNumberPrivacyException, String bio, String shareText, String description, int groupInCommonCount, TdApi.BotCommand[] commands)`
Contains full information about a user.
`UserFullInfo(DataInput input)`
Contains full information about a user.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### photo

public TdApi.ChatPhoto photo
User profile photo; may be null.

### isBlocked

public boolean isBlocked
True, if the user is blocked by the current user.

### canBeCalled

public boolean canBeCalled
True, if the user can be called.

### supportsVideoCalls

public boolean supportsVideoCalls
True, if a video call can be created with the user.

### hasPrivateCalls

public boolean hasPrivateCalls
True, if the user can't be called due to their privacy settings.

### needPhoneNumberPrivacyException

public boolean needPhoneNumberPrivacyException
True, if the current user needs to explicitly allow to share their phone number with the user when the method addContact is used.

### bio

public String bio
A short user bio.

### shareText

public String shareText
For bots, the text that is shown on the bot's profile page and is sent together with the link when users share the bot.

### description

public String description
For bots, the text shown in the chat with the bot if the chat is empty.

### groupInCommonCount

public int groupInCommonCount
Number of group chats where both the other user and the current user are a member; 0 for the current user.

### commands

public TdApi.BotCommand[] commands
For bots, list of the bot commands.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### UserFullInfo

public UserFullInfo()
Contains full information about a user.

### UserFullInfo

public UserFullInfo(TdApi.ChatPhoto photo, boolean isBlocked, boolean canBeCalled, boolean supportsVideoCalls, boolean hasPrivateCalls, boolean needPhoneNumberPrivacyException, String bio, String shareText, String description, int groupInCommonCount, TdApi.BotCommand[] commands)
Contains full information about a user.

Parameters:
  `photo` - ChatPhoto User profile photo; may be null.
  `isBlocked` - boolean True, if the user is blocked by the current user.
  `canBeCalled` - boolean True, if the user can be called.
  `supportsVideoCalls` - boolean True, if a video call can be created with the user.
  `hasPrivateCalls` - boolean True, if the user can't be called due to their privacy settings.
  `needPhoneNumberPrivacyException` - boolean True, if the current user needs to explicitly allow to share their phone number with the user when the method addContact is used.
  `bio` - String A short user bio.
  `shareText` - String For bots, the text that is shown on the bot's profile page and is sent together with the link when users share the bot.
  `description` - String For bots, the text shown in the chat with the bot if the chat is empty.
  `groupInCommonCount` - int Number of group chats where both the other user and the current user are a member; 0 for the current user.
  `commands` - BotCommand[] For bots, list of the bot commands.

### UserFullInfo

public UserFullInfo(DataInput input) throws IOException
Contains full information about a user.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`